# MySQL for Azure

Authenticate to an Azure MySQL database using Managed Identity and Entra ID.

## Database connection information

```php
// Connection string in `sites/default/settings.php`.
$databases['default']['default'] = [
  // The domain name of the Azure database.
  'host' => 'my-database.mysql.database.azure.com',
  'username' => 'my-umi-username',
  'database' => 'drupal',

  'prefix' => '',
  'port' => '3306',
  'isolation_level' => 'READ COMMITTED',

  // This assumes the IMDS4Azure module is installed in the typical place for a
  // contrib modules: i.e. <docroot>/modules/contrib.
  'autoload' => 'modules/contrib/imds4azure/modules/imds4azure_mysql/src/Driver/Database/imds4azure_mysql/',

  'driver' => 'imds4azure_mysql',
  'namespace' => 'Drupal\\imds4azure_mysql\\Driver\\Database\\imds4azure_mysql',
  'dependencies' => [
    'mysql' => [
      'namespace' => 'Drupal\mysql',
      'autoload' => 'core/modules/mysql/src/',
    ],
  ],
];
```
