<?php

namespace Drupal\imds4azure\Service;

use Flossiraptor\Imds4azure\IMDS;
use Flossiraptor\Imds4azure\Service\Identity;
use Flossiraptor\Imds4azure\Service\Instance;
use Flossiraptor\Imds4azure\Service\LoadBalancer;

/**
 * Factory to create IMDS clients for Drupal.
 */
class ImdsClientFactory implements ImdsClientFactoryInterface {

  /**
   * {@inheritdoc}
   */
  public static function imds() : IMDS {
    return new IMDS();
  }

  /**
   * {@inheritdoc}
   */
  public static function identity() : Identity {
    return self::IMDS()->identity();
  }

  /**
   * {@inheritdoc}
   */
  public static function instance() : Instance {
    return self::IMDS()->instance();
  }

  /**
   * {@inheritdoc}
   */
  public static function loadbalancer() : LoadBalancer {
    return self::IMDS()->loadbalancer();
  }

  /**
   * {@inheritdoc}
   */
  public static function metadata() : Instance {
    return self::instance();
  }

}
